package com.brilliance.isc.common.contants;

import java.util.HashMap;
import java.util.Map;

public class CommonContants {

    public static final String SUCCESS = "AAAAAA";
    public static final String SWTCOD = "SWTCOD";

    public static final long GENERRCOD = -1;

    public static final String SETMOD_DSPFLG = "CG";

    public static final String TRANSACTION_CODE_LITOPN = "LITOPN";

    public static final String TRANSACTION_CODE_CPTOPN = "CPTOPN";

    public static final String TRANSACTION_CODE_GITOPN = "GITOPN";
    public static final String TRANSACTION_CODE_GITPOP = "GITPOP";
    public static final String TRANSACTION_CODE_GETOPN = "GETOPN";
    public static final String TRANSACTION_CODE_NITOPN = "NITOPN";
    public static final String TRANSACTION_CODE_NITPOP = "NITPOP";
    public static final String TRANSACTION_CODE_HITOPN = "HITOPN";
    public static final String TRANSACTION_CODE_HITPOP = "HITPOP";
    public static final String TRANSACTION_CODE_NITDLA = "NITDLA";
    public static final String TRANSACTION_CODE_NITPLB = "NITPLB";
    public static final String TRANSACTION_CODE_NETOPN = "NETOPN";

    public static final String PTSPTA_ROL = "ROL";

    public static final String PTSPTA_RMS = "RMS";

    public static final String PTSPTA_ACT = "ACT";

    public static final String PTSPTA_APY = "APY";

    public static final String PTSPTA_ACTSER = "ACTSER";

    public static final String PTSPTA_ACTHOL = "ACTHOL";

    public static final String PTSPTA_AWI = "AWI";

    public static final String PTSPTA_BEI = "BEI";

    public static final String PTSPTA_RCVCOR = "RCVCOR";

    public static final String PTSPTA_INT = "INT";

    public static final String PTSPTA_TRI = "TRI";

    public static final String PTSPTA_ORI = "ORI";

    public static final String PTSPTA_RCVCOR2 = "RCVCOR2";

    public static final String PTSPTA_SND756 = "SND756";

    public static final String LIACCV_SERVICE = "LIACCV-SERVICE";

    public static final String LIAALL_SERVICE = "LIAALL-SERVICE";

    public static final String LGBDET_SERVICE = "LGBDET-SERVICE";

    public static final String SETMOD_SERVICE = "SETMOD-SERVICE";

    public static final String GLEMOD_SERVICE = "GLEMOD-SERVICE";

    public static final String TRNDOC_SERVICE = "TRNDOC-SERVICE";

    public static final String UMDMOD_SERVICE = "UMDMOD-SERVICE";

    public static final String LIMMOD_SERVICE = "LIMMOD_SERVICE";

    public static final String YPNMOD_SERVICE = "YPNMOD_SERVICE";

    public static final String FANXIQIAN_SERVICE = "FANXIQIAN_SERVICE";

    //人民币报送服务
    public static final String BOPSET_RMB_SERVICE = "BOPSET_RMB_SERVICE";

    public static final String BOPSET_JSH_SERVICE = "BOPSET_JSH_SERVICE";
    //资本项目报送服务
    public static final String BOPSET_CFA_SERVICE = "BOPSET_CFA_SERVICE";
    //资本项目报送服务 -- 国内外汇贷款 海外代付 远期信用证
    public static final String BOPSET_CFABOP_SERVICE = "BOPSET_CFABOP_SERVICE";
    // 收支申报涉外（境内）收入报送服务
    public static final String BOPSET_SZSB_BOPGAT_SERVICE = "BOPSET_SZSB_BOPGAT_SERVICE";
    // 收支申报境内外汇款报送服务
    public static final String BOPSET_SZSB_BOPREM_SERVICE = "BOPSET_SZSB_BOPREM_SERVICE";
    // 收支申报境内外承兑报送服务
    public static final String BOPSET_SZSB_BOPPAY_SERVICE = "BOPSET_SZSB_BOPPAY_SERVICE";

    public static final String TRNDIA_SERVICE = "TRNDIA-SERVICE";

    public static final String TRNMOD_SERVICE = "TRNMOD-SERVICE";

    public static final String ORDER_SERVICE = "ORDER_SERVICE";

    public static final String QUE_STATUS_WAITING = "waiting";

    public static final String QUE_STATUS_PENDING = "pending";

    public static final String QUE_STATUS_CORRECCT = "correct";

    public static final String QUE_STATUS_REJECTED = "rejected";

    public static final String QUE_STATUS_RELEASE = "release";

    public static final String QUE_STATUS_PICKUP = "pickup";

    public static final String QUE_STATUS_DELETED = "deleted";

    public static final String QUE_STATUS_LOCKED = "locked";

    public static final String QUE_STATUS_CONFIRM = "confirm";//收单行复核完成

    public static final String QUE_STATUS_HIDE = "hide";

    public static final String QUE_EHTYP_CPTHYF = "CPTHYF";

    public static final String QUE_CPTROU_JNWB = "JNWB";

    public static final String QUE_PAYTYP_O = "O";

    public static final String EJS_INCOMING_T24 = "T24";

    public static final String CHECK_RULE_KEY = "ruleMap";

    public static final String CHECK_ERROR_KEY = "errorList";

    public static final String CHECK_WARNING_CHANGE = "warningListChange";

    public static final Map<String, String> SETGLL_DSP_CODES = new HashMap<>();

    public static final Map<String, String> IRPELE_CALFLG_CODES = new HashMap<>();

    public static final Map<String, String> FEC_CALCBS_CODES = new HashMap<>();

    public static final Map<String, String> FEC_FEEPRI_CODES = new HashMap<>();

    public static final Map<String, String> FEC_CALRUL_CODES = new HashMap<>();

    public static final Map<String, String> TXT_STD_CODES = new HashMap<>();

    public static final Map<String, String> DOC_AMT_TYP_CODES = new HashMap<>();

    public static final Map<String, String> DIA_MOD_FLG_CODES = new HashMap<>();

    public static final Map<String,String> MT_700_TAG_CODES=new HashMap<>();

    public static final Map<String, String> PERMET_CODES = new HashMap<>();

    public static final String BCH_BCHTYPE_JBH = "1";

    public static final String BCH_BCHTYPE_FJDH = "2";

    public static final String BCH_BCHTYPE_ZHYHZX = "3";

    public static final String BCH_BCHTYPE_YHZX1 = "4";

    public static final String BCH_BCHTYPE_YHZX2= "5";

    public static final String BCH_BCHTYPE_SDH = "6";

    public static final String ATP_NEGFLG_SH = "X";

    public static final String ATP_NEGFLG_JB = "Y";

    /**
     * 备忘录 diamodflg
     */
    public static final String NEW_DIARY_TRN = "NFN";

    public static final String NEW_DIARY_MANUALLY = "NMN";

    public static final String READ_FROM_DB = "SNN";

    public static final String MODIFIED_DB_DIARY = "SMN";

    public static final String SET_TO_DONE_DB_DIARY_MANUALLY = "SMD";

    public static final String SET_TO_DONE_DB_DIARY_TRN = "SFD";

    public static final String SET_TO_DONE_NEW_DIARY_MANUALLY = "NMD";

    public static final String SET_TO_DONE_NEW_DIARY_TRN = "NFD";

    public static final String SET_TO_DONE_DB_DIARY = "SND";

    static {
        SETGLL_DSP_CODES.put("ARC", "贷记暂收款项账");
        SETGLL_DSP_CODES.put("ARD", "借记暂收款项账");
        SETGLL_DSP_CODES.put("BDF", "出口贴现/买入票据账");
        SETGLL_DSP_CODES.put("BEF", "出口押汇账");
        SETGLL_DSP_CODES.put("BRF", "进出口垫款账");
        SETGLL_DSP_CODES.put("CCD", "借记客户保证金账");
        SETGLL_DSP_CODES.put("CCC", "贷记客户保证金账");
        SETGLL_DSP_CODES.put("CID", "借记清算汇入账");
        SETGLL_DSP_CODES.put("COC", "贷记清算汇出账");
        SETGLL_DSP_CODES.put("FIC", "贷记金融机构存款");
        SETGLL_DSP_CODES.put("FID", "借记金融机构存款");
        SETGLL_DSP_CODES.put("INC", "利息收入");
        SETGLL_DSP_CODES.put("LOD", "借记客户往来账");
        SETGLL_DSP_CODES.put("LOC", "贷记客户往来账");
        SETGLL_DSP_CODES.put("NFR", "第三方风险参贷账");

        SETGLL_DSP_CODES.put("NOD", "借记存放上级/国外账");
        SETGLL_DSP_CODES.put("NOC", "贷记存放上级/国外账");
        SETGLL_DSP_CODES.put("SPC", "贷记国结专户");
        SETGLL_DSP_CODES.put("SPD", "借记国结专户");
        SETGLL_DSP_CODES.put("TPC", "贷记国际结算临时账");
        SETGLL_DSP_CODES.put("TPD", "借记国际结算临时账");
        SETGLL_DSP_CODES.put("TRF", "信托收据/进口押汇账");


        SETGLL_DSP_CODES.put("PCF", "打包贷款账（已取消）");
        SETGLL_DSP_CODES.put("PAC", "通过Nostro付款");
        SETGLL_DSP_CODES.put("SCC", "贷记其他保证金账");
        SETGLL_DSP_CODES.put("BF", "国结系统融资过渡账");
        SETGLL_DSP_CODES.put("LFD", "借记外币贷款专户");
        SETGLL_DSP_CODES.put("LFC", "贷记外币贷款专户");

        IRPELE_CALFLG_CODES.put("", "not calculat");
        IRPELE_CALFLG_CODES.put("L", "minimum");
        IRPELE_CALFLG_CODES.put("U", "maximum");
        IRPELE_CALFLG_CODES.put("C", "calculated");
        IRPELE_CALFLG_CODES.put("M", "period maximum");

        FEC_CALCBS_CODES.put("OPNAMT", "Open amount");
        FEC_CALCBS_CODES.put("CONAMT", "Contract amount");
        FEC_CALCBS_CODES.put("MAXAMT", "Maximum amount");
        FEC_CALCBS_CODES.put("DOCAMT", "Document amount");
        FEC_CALCBS_CODES.put("AMEAMT", "Increase amount");
        FEC_CALCBS_CODES.put("AMEMAX", "Increase Maximum");
        FEC_CALCBS_CODES.put("NETAMT", "Net amount");
        FEC_CALCBS_CODES.put("LIAAMT", "Liability amount");

        FEC_FEEPRI_CODES.put("0", "Olddefault");
        FEC_FEEPRI_CODES.put("1", "Region");
        FEC_FEEPRI_CODES.put("2", "Country");
        FEC_FEEPRI_CODES.put("4", "Party");
        FEC_FEEPRI_CODES.put("6", "Contract");
        FEC_FEEPRI_CODES.put("!", "Default");
        FEC_FEEPRI_CODES.put("$", "Bus.sector");
        FEC_FEEPRI_CODES.put("*", "Entity");
        FEC_FEEPRI_CODES.put("3", "Group");

        FEC_CALRUL_CODES.put("3", "Olddefault");
        FEC_CALRUL_CODES.put("2", "Region");
        FEC_CALRUL_CODES.put("1", "Country");
        FEC_CALRUL_CODES.put("6", "Party");
        FEC_CALRUL_CODES.put("T", "Contract");
        FEC_CALRUL_CODES.put("0", "Default");
        FEC_CALRUL_CODES.put("F", "Bus.sector");
        FEC_CALRUL_CODES.put("4", "Entity");
        FEC_CALRUL_CODES.put("C", "Group");
        FEC_CALRUL_CODES.put("B", "Default");
        FEC_CALRUL_CODES.put("P", "Bus.sector");
        FEC_CALRUL_CODES.put("%", "Entity");
        FEC_CALRUL_CODES.put("M", "Group");

        TXT_STD_CODES.put("COM", "Commission");
        TXT_STD_CODES.put("FCH", "Foreign Commission");
        TXT_STD_CODES.put("ACM", "Agent's commission");
        TXT_STD_CODES.put("YCH", "Your charges");

        DOC_AMT_TYP_CODES.put("", "Amount Settled");
        DOC_AMT_TYP_CODES.put("CLM", "Amount Claimed");

        DIA_MOD_FLG_CODES.put("SFD", "Set to Done DB Diary (TRN)");
        DIA_MOD_FLG_CODES.put("SNN", "Read from DB");
        DIA_MOD_FLG_CODES.put("NMD", "Set to Done New Diary (manually)");
        DIA_MOD_FLG_CODES.put("SMN", "Modified DB Diary");
        DIA_MOD_FLG_CODES.put("NFN", "New Diary (TRN)");
        DIA_MOD_FLG_CODES.put("SND", "Set to Done DB Diary");
        DIA_MOD_FLG_CODES.put("SFN", "Read from DB");
        DIA_MOD_FLG_CODES.put("SMD", "Set to Done DB Diary (manually)");
        DIA_MOD_FLG_CODES.put("NFD", "Set to Done New Diary (TRN)");
        DIA_MOD_FLG_CODES.put("NMN", "New Diary (manually)");

        PERMET_CODES.put("CALMON", "Month (Calendar)");
        PERMET_CODES.put("DURQTR", "quarter(s)");
        PERMET_CODES.put("DURMON", "Month");
        PERMET_CODES.put("DURQ05", "quarter(s) 5 grace days");
        PERMET_CODES.put("DURHLF", "half year");
        PERMET_CODES.put("CALQTR", "Quarter (Calendar)");
        PERMET_CODES.put("DURYHR", "p.a.");
    }

}
